Eclipse Platform Release 3.7

## org.eclipse.ui.views.markers
Class MarkerSupportView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.ui.internal.views.markers.ExtendedMarkersView
                      org.eclipse.ui.views.markers.MarkerSupportView

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public abstract class MarkerSupportView

extends org.eclipse.ui.internal.views.markers.ExtendedMarkersView

The MarkerSupportView is a view that supports the extensions in the markerSupport extension point.

Since:
  3.4

Field Summary

Fields inherited from class org.eclipse.ui.internal.views.markers.ExtendedMarkersView
`MARKERSVIEW_UPDATE_JOB_FAMILY`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`MarkerSupportView(String contentGeneratorId)` Create a new instance of the receiver on contentGeneratorId.

Method Summary

Methods inherited from class org.eclipse.ui.internal.views.markers.ExtendedMarkersView
`createPartControl, dispose, getDeleteOperationName, getSelectedMarkers, getSortAscending, getUndoContext, init, openMarkerInEditor, saveState, setFocus`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### MarkerSupportView

    public MarkerSupportView(String contentGeneratorId)

  Create a new instance of the receiver on contentGeneratorId.

  Parameters:
    `contentGeneratorId` - the id of a markerContentGenerator defined in an extension of the markerSupport extension.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.